Session withdrawals

Calculate session withdrawal preview

Use this method to calculate the amounts of a session withdrawal before its creation. The amount is checked against the payment system limits; the turnover limits and the free funds are checked on creation.

POST
/api/v2/my/session-withdrawals/preview

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

accept-language?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/session-withdrawals/preview" \  -H "accept-language: ja" \  -H "Content-Type: application/json" \  -d '{    "methodId": 1,    "accountId": 1,    "currencyCode": 978,    "amount": "100.50"  }'
{  "rate": "0.9184",  "commission": "1.50",  "sourceCurrencyAlphaCode": "USD",  "sourceCurrencyAmount": "100.50",  "destinationCurrencyAlphaCode": "EUR",  "destinationCurrencyAmount": "90.92"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter",        "name": "email_domain_not_found"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "errors": [    {      "name": "Error name",      "description": "Description",      "args": {}    }  ]}
{  "errors": [    {      "name": "Error name",      "description": "Description",      "args": {}    }  ]}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Access from this country is restricted",    "details": {      "ip": "203.0.113.42",      "country": "RU"    }  }}
{  "errors": [    {      "name": "Error name",      "description": "Description",      "args": {}    }  ]}
{  "errors": [    {      "name": "Error name",      "description": "Description",      "args": {}    }  ]}